
<h1>Locations</h1>

<script
src="https://maps.googleapis.com/maps/api/js?key=AIzaSyBQ50psAEujNA_LwZ92MCMkspX4v_C5X9Q&callback=initMap&v=weekly"
defer>
</script>
<style>
  #map {
    height: 600px;
    /* The height is 400 pixels */
    width: 100%;
    /* The width is the width of the web page */
  }
</style>
<script>
  let map;
  function initMap() {
    var myLatlng = new google.maps.LatLng(47.081012,2.398782);
    var mapOptions = {
      zoom: 6,
      center: myLatlng
    }
    map = new google.maps.Map(document.getElementById("map"), mapOptions);
  }
</script>

<%= form_with(url: locations_path, local: true, method: :get, class: "") do |form| %>
<div class="input-group mb-3">
  <%= form.text_field :search, placeholder: "Entrez un mot-clé", id: 'Search_Form', class: "form-control" %>
  <div class="input-group-append">
    <%= form.submit "Rechercher", class: "btn btn-primary" %>
    <%= link_to "Recherche avancée", new_search_path, :class => "btn btn-warning"  %>
    <%= link_to 'Nouvelle location', new_location_path, :class => "btn btn-success", :style => "color: white;" %>
  </div>
</div>
<% end %>

<div class="card-deck mt-4">
  <div class="row">
    <% @locations.each do |location| %>
    <div class="col" >
      <div class="card"  style="width: 18rem">
        <%= link_to '', location, class: "stretched-link"%>
        <img class="card-img-top" src="<%= location.photos %>" alt="Location image" style="width: 18rem; height: 10rem">
        <div class="card-body">
          <h5 class="card-title" style="display: block; overflow: hidden; white-space: nowrap; text-overflow: ellipsis;"><%= location.v_type %>, <%= location.titre %></h5>
          <p class="card-text" style="display: block; overflow: hidden; white-space: nowrap; text-overflow: ellipsis;"><%= location.desc %> </p>
          <p class="card-text" style="display: block; overflow: hidden; white-space: nowrap; text-overflow: ellipsis;"><%= location.zip %> <%= location.city %> </p>
        </div>
        <div class="card-footer">
          <small class="text-muted "><%= location.price %>€/nuit | Taxe de séjour <%= location.taxesjr %>€</small>
          <br>
          <small class="text-muted"> | Noté <% if location.avg_rate == 11 %>-<% else %><%= location.avg_rate %><% end %>/10</small>
        </div>
      </div>
    </div>
    <% end %>
  </div>
</div>



<br>
<hr>
<br>
<script>
  function addMarker(){
    var arrayLoca = <%= @locations.to_json.html_safe %>;
    arrayLoca.forEach(function myFunction(item, index) {
      const titreLoca = item.titre;
      const latitudeLoca = item.lat;
      const longitudeLoca = item.long;
      const photoLoca = item.photos;
      const typeLoca = item.v_type;
      const cityLoca = item.city;
      const zipLoca = item.zip;
      const priceLoca = item.price;
      const rateLoca = (item.avg_rate == 11)?"-":item.avg_rate;
      const contentString =

      '<div class="card-deck mt-4" style="overflow: hidden">' +
        '<div class="row">' +
          '<div class="col">' +
            '<div class="card" style="width: 18rem">' +
              '<a href="locations/'+item.id+'" class="stretched-link"></a>' +
              '<img class="card-img-top" src="'+photoLoca+'" alt="Location image" style="width: 18rem; height: 10rem">' +
              '<div class="card-body">' +
                '<h5 class="card-title" style="display: block; overflow: hidden; white-space: nowrap; text-overflow: ellipsis;">'+titreLoca+' | '+typeLoca+'</h5>' +
                '<p class="card-text" style="display: block; overflow: hidden; white-space: nowrap; text-overflow: ellipsis;">'+cityLoca+' '+zipLoca+'</p>' +
              '</div>' +
              '<div class="card-footer">' +
                '<small class="text-muted " style="display: block; overflow: hidden; white-space: nowrap; text-overflow: ellipsis;">'+priceLoca+'€/nuit</small>' +
                '<small class="text-muted" style="display: block; overflow: hidden; white-space: nowrap; text-overflow: ellipsis;"> | Noté '+rateLoca+'/10</small>' +
              '</div>' +
            '</div>'  +
          '</div>'  +
        '</div>' +
      '</div>' ;

            const infowindow = new google.maps.InfoWindow({
              content: contentString,
            });

            var marker = new google.maps.Marker({
              position: new google.maps.LatLng(latitudeLoca,longitudeLoca),
              title: titreLoca,
              map
            });

            marker.addListener("click", () => {
              infowindow.open({
                anchor: marker,
                map,
                shouldFocus: false,
              });
            });
          });
        }
      </script>

      <div class="container">
        <div id="map"></div>
      </div>

      <script>
        document.addEventListener('DOMContentLoaded', () => {
          addMarker();
        });
      </script>
